package com.google.inject.internal;

import static org.junit.Assert.assertEquals;
import org.junit.Test;
import java.lang.annotation.Annotation;

public class UniqueAnnotationsTest {

    @UniqueAnnotations.Internal(31)
    public Void unused;

    @Test
    public void testEqualsHashCodeToString() {
        Annotation actual = UniqueAnnotations.create(31);

        Annotation expected = getClass().getFields()[0].getAnnotations()[0];

        assertEquals(expected.toString(), actual.toString());
        assertEquals(expected.hashCode(), actual.hashCode());
        assertEquals(expected, actual);
    }
}
